<?php require_once( 'couch/cms.php' ); ?>

<cms:template clonable='1' order='-10' title='Blog Comments'>
    <cms:editable name='comments_css' order='0' type='message'>
        <style>
        #create_new, #create-draft, #k_page_title, #k_page_name, #k_element_blog_post, #k_element_parent_comment{display:none !important;}
        </style>
    </cms:editable>

    <cms:editable label='Author Name' name='author_name' order='10' required='1' type='text'/>
    <cms:editable label='Author Email Address' name='author_email' order='20' required='1' type='text' validator='email'/>

    <cms:editable height='150' label='Comment' name='comment' order='30' required='1' type='textarea'/>

    <cms:editable has='one' label='Blog Post' masterpage='blog.php' name='blog_post' no_gui='1' order='40' required='1' type='relation'/>
    <cms:editable has='one' label='Parent Comment' masterpage='comments.php' name='parent_comment' no_gui='1' order='50' type='relation'/>

    <cms:editable label='Status' name='status' opt_selected='0' opt_values='Unapproved=0 | | Approved=1' order='60' search_type='integer' type='radio'/>
</cms:template>

<cms:if k_is_page>
    <cms:set comment_id=k_page_id/>

    <cms:redirect "<cms:related_pages field='blog_post' skip_custom_fields='1'><cms:show k_page_link/>#comment-<cms:show comment_id/></cms:related_pages>"/>
<cms:else/>
    <cms:redirect "<cms:link 'blog.php'/>"/>
</cms:if>

<?php COUCH::invoke(); ?>
